-- strategic resources
INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
('TRAIT_LEADER_MAJOR_CIV', 'IRON_MODIFIER_LGAI'),
('TRAIT_LEADER_MAJOR_CIV', 'IRON_MODIFIER_LGAI_TECH'),
('TRAIT_LEADER_MAJOR_CIV', 'HORSES_MODIFIER_LGAI'),
('TRAIT_LEADER_MAJOR_CIV', 'HORSES_MODIFIER_LGAI_TECH'),
('TRAIT_LEADER_MAJOR_CIV', 'COAL_MODIFIER_LGAI'),
('TRAIT_LEADER_MAJOR_CIV', 'COAL_MODIFIER_LGAI_TECH'),
('TRAIT_LEADER_MAJOR_CIV', 'ALUMINUM_MODIFIER_LGAI'),
('TRAIT_LEADER_MAJOR_CIV', 'ALUMINUM_MODIFIER_LGAI_TECH'),
('TRAIT_LEADER_MAJOR_CIV', 'NITER_MODIFIER_LGAI'),
('TRAIT_LEADER_MAJOR_CIV', 'NITER_MODIFIER_LGAI_TECH'),
('TRAIT_LEADER_MAJOR_CIV', 'OIL_MODIFIER_LGAI'),
('TRAIT_LEADER_MAJOR_CIV', 'OIL_MODIFIER_LGAI_TECH'),
('TRAIT_LEADER_MAJOR_CIV', 'URANIUM_MODIFIER_LGAI'),
('TRAIT_LEADER_MAJOR_CIV', 'URANIUM_MODIFIER_LGAI_TECH');

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId) VALUES
('IRON_MODIFIER_LGAI', 'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION', 'HIGH_DIFFICULTY_AI_RENAISSANCE'),
('IRON_MODIFIER_LGAI_TECH', 'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION', 'LGAI_PLAYER_HAS_TECH_BRONZE_WORKING_REQUIREMENTSET'),
('HORSES_MODIFIER_LGAI', 'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION', 'HIGH_DIFFICULTY_AI_RENAISSANCE'),
('HORSES_MODIFIER_LGAI_TECH', 'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION', 'LGAI_PLAYER_HAS_TECH_ANIMAL_HUSBANDRY_REQUIREMENTSET'),
('NITER_MODIFIER_LGAI', 'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION', 'HIGH_DIFFICULTY_AI_INDUSTRIAL'),
('NITER_MODIFIER_LGAI_TECH', 'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION', 'LGAI_PLAYER_HAS_TECH_MILITARY_ENGINEERING_REQUIREMENTSET'),
('COAL_MODIFIER_LGAI', 'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION', 'HIGH_DIFFICULTY_AI_MODERN'),
('COAL_MODIFIER_LGAI_TECH', 'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION', 'LGAI_PLAYER_HAS_TECH_INDUSTRIALIZATION_REQUIREMENTSET'),
('OIL_MODIFIER_LGAI', 'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION', 'HIGH_DIFFICULTY_AI_ATOMIC'),
('OIL_MODIFIER_LGAI_TECH', 'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION', 'LGAI_PLAYER_HAS_TECH_REFINING_REQUIREMENTSET'),
('ALUMINUM_MODIFIER_LGAI', 'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION', 'HIGH_DIFFICULTY_AI_INFO'),
('ALUMINUM_MODIFIER_LGAI_TECH', 'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION', 'LGAI_PLAYER_HAS_TECH_RADIO_REQUIREMENTSET'),
('URANIUM_MODIFIER_LGAI', 'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION', 'HIGH_DIFFICULTY_AI_FUTURE'),
('URANIUM_MODIFIER_LGAI_TECH', 'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION', 'LGAI_PLAYER_HAS_TECH_COMBINED_ARMS_REQUIREMENTSET');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value) VALUES
('IRON_MODIFIER_LGAI', 'ResourceType', 'ARGTYPE_IDENTITY', 'RESOURCE_IRON'),
('IRON_MODIFIER_LGAI', 'Amount', 'ARGTYPE_IDENTITY', '4'),
('IRON_MODIFIER_LGAI_TECH', 'ResourceType', 'ARGTYPE_IDENTITY', 'RESOURCE_IRON'),
('IRON_MODIFIER_LGAI_TECH', 'Amount', 'ARGTYPE_IDENTITY', '2'),
('HORSES_MODIFIER_LGAI', 'ResourceType', 'ARGTYPE_IDENTITY', 'RESOURCE_HORSES'),
('HORSES_MODIFIER_LGAI', 'Amount', 'ARGTYPE_IDENTITY', '4'),
('HORSES_MODIFIER_LGAI_TECH', 'ResourceType', 'ARGTYPE_IDENTITY', 'RESOURCE_HORSES'),
('HORSES_MODIFIER_LGAI_TECH', 'Amount', 'ARGTYPE_IDENTITY', '2'),
('NITER_MODIFIER_LGAI', 'ResourceType', 'ARGTYPE_IDENTITY', 'RESOURCE_NITER'),
('NITER_MODIFIER_LGAI', 'Amount', 'ARGTYPE_IDENTITY', '4'),
('NITER_MODIFIER_LGAI_TECH', 'ResourceType', 'ARGTYPE_IDENTITY', 'RESOURCE_NITER'),
('NITER_MODIFIER_LGAI_TECH', 'Amount', 'ARGTYPE_IDENTITY', '2'),
('COAL_MODIFIER_LGAI', 'ResourceType', 'ARGTYPE_IDENTITY', 'RESOURCE_COAL'),
('COAL_MODIFIER_LGAI', 'Amount', 'ARGTYPE_IDENTITY', '4'),
('COAL_MODIFIER_LGAI_TECH', 'ResourceType', 'ARGTYPE_IDENTITY', 'RESOURCE_COAL'),
('COAL_MODIFIER_LGAI_TECH', 'Amount', 'ARGTYPE_IDENTITY', '2'),
('OIL_MODIFIER_LGAI', 'ResourceType', 'ARGTYPE_IDENTITY', 'RESOURCE_OIL'),
('OIL_MODIFIER_LGAI', 'Amount', 'ARGTYPE_IDENTITY', '4'),
('OIL_MODIFIER_LGAI_TECH', 'ResourceType', 'ARGTYPE_IDENTITY', 'RESOURCE_OIL'),
('OIL_MODIFIER_LGAI_TECH', 'Amount', 'ARGTYPE_IDENTITY', '2'),
('ALUMINUM_MODIFIER_LGAI', 'ResourceType', 'ARGTYPE_IDENTITY', 'RESOURCE_ALUMINUM'),
('ALUMINUM_MODIFIER_LGAI', 'Amount', 'ARGTYPE_IDENTITY', '4'),
('ALUMINUM_MODIFIER_LGAI_TECH', 'ResourceType', 'ARGTYPE_IDENTITY', 'RESOURCE_ALUMINUM'),
('ALUMINUM_MODIFIER_LGAI_TECH', 'Amount', 'ARGTYPE_IDENTITY', '2'),
('URANIUM_MODIFIER_LGAI', 'ResourceType', 'ARGTYPE_IDENTITY', 'RESOURCE_URANIUM'),
('URANIUM_MODIFIER_LGAI', 'Amount', 'ARGTYPE_IDENTITY', '2'),
('URANIUM_MODIFIER_LGAI_TECH', 'ResourceType', 'ARGTYPE_IDENTITY', 'RESOURCE_URANIUM'),
('URANIUM_MODIFIER_LGAI_TECH', 'Amount', 'ARGTYPE_IDENTITY', '2');