INSERT INTO Requirements 
		(RequirementId,					RequirementType,							Inverse) 
VALUES	('REQUIRES_PRINCE',				'REQUIREMENT_PLAYER_HANDICAP_AT_OR_ABOVE',	0),
		('REQUIRES_KING',				'REQUIREMENT_PLAYER_HANDICAP_AT_OR_ABOVE',	0),
		('REQUIRES_NOT_KING',				'REQUIREMENT_PLAYER_HANDICAP_AT_OR_ABOVE',	1),
		('REQUIRES_EMPEROR',				'REQUIREMENT_PLAYER_HANDICAP_AT_OR_ABOVE',	0),
		('REQUIRES_NOT_EMPEROR',			'REQUIREMENT_PLAYER_HANDICAP_AT_OR_ABOVE',	1),
		('REQUIRES_IMMORTAL',				'REQUIREMENT_PLAYER_HANDICAP_AT_OR_ABOVE',	0),
		('REQUIRES_NOT_IMMORTAL',			'REQUIREMENT_PLAYER_HANDICAP_AT_OR_ABOVE',	1),
		('REQUIRES_DEITY',				'REQUIREMENT_PLAYER_HANDICAP_AT_OR_ABOVE',	0),
		('REQUIRES_NOT_DEITY',				'REQUIREMENT_PLAYER_HANDICAP_AT_OR_ABOVE',	1),
		('REQUIRES_PRO',				'REQUIREMENT_PLAYER_HANDICAP_AT_OR_ABOVE',	0),
		('REQUIRES_NOT_PRO',				'REQUIREMENT_PLAYER_HANDICAP_AT_OR_ABOVE',	1),
		('REQUIRES_INSANE',				'REQUIREMENT_PLAYER_HANDICAP_AT_OR_ABOVE',	0),
		('REQUIRES_NOT_INSANE',				'REQUIREMENT_PLAYER_HANDICAP_AT_OR_ABOVE',	1),
		('GAME_AT_CLASSICAL_ERA',			'REQUIREMENT_GAME_ERA_ATLEAST_EXPANSION',			0),
		('GAME_NOT_AT_CLASSICAL_ERA',			'REQUIREMENT_GAME_ERA_ATLEAST_EXPANSION',			1),
		('GAME_AT_MEDIEVAL_ERA',			'REQUIREMENT_GAME_ERA_ATLEAST_EXPANSION',			0),
		('GAME_NOT_AT_MEDIEVAL_ERA',			'REQUIREMENT_GAME_ERA_ATLEAST_EXPANSION',			1),
		('GAME_AT_RENAISSANCE_ERA',			'REQUIREMENT_GAME_ERA_ATLEAST_EXPANSION',			0),
		('GAME_NOT_AT_RENAISSANCE_ERA',			'REQUIREMENT_GAME_ERA_ATLEAST_EXPANSION',			1),
		('GAME_AT_INDUSTRIAL_ERA',			'REQUIREMENT_GAME_ERA_ATLEAST_EXPANSION',			0),
		('GAME_NOT_AT_INDUSTRIAL_ERA',			'REQUIREMENT_GAME_ERA_ATLEAST_EXPANSION',			1),
		('GAME_AT_MODERN_ERA',				'REQUIREMENT_GAME_ERA_ATLEAST_EXPANSION',			0),
		('GAME_NOT_AT_MODERN_ERA',			'REQUIREMENT_GAME_ERA_ATLEAST_EXPANSION',			1),
		('GAME_AT_ATOMIC_ERA',				'REQUIREMENT_GAME_ERA_ATLEAST_EXPANSION',			0),
		('GAME_AT_INFO_ERA',				'REQUIREMENT_GAME_ERA_ATLEAST_EXPANSION',			0),
		('GAME_AT_FUTURE_ERA',				'REQUIREMENT_GAME_ERA_ATLEAST_EXPANSION',			0),
		('PLAYER_AT_CLASSICAL_ERA',			'REQUIREMENT_PLAYER_ERA_AT_LEAST',		0),
		('PLAYER_NOT_AT_CLASSICAL_ERA',			'REQUIREMENT_PLAYER_ERA_AT_LEAST',		1),
		('PLAYER_AT_MEDIEVAL_ERA',			'REQUIREMENT_PLAYER_ERA_AT_LEAST',		0),
		('PLAYER_NOT_AT_MEDIEVAL_ERA',			'REQUIREMENT_PLAYER_ERA_AT_LEAST',		1),
		('PLAYER_AT_RENAISSANCE_ERA',			'REQUIREMENT_PLAYER_ERA_AT_LEAST',		0),
		('PLAYER_AT_INDUSTRIAL_ERA',			'REQUIREMENT_PLAYER_ERA_AT_LEAST',		0),
		('PLAYER_AT_MODERN_ERA',			'REQUIREMENT_PLAYER_ERA_AT_LEAST',		0),
		('PLAYER_AT_ATOMIC_ERA',			'REQUIREMENT_PLAYER_ERA_AT_LEAST',		0),
		('NOT_AT_INDUSTRIAL_ERA',			'REQUIREMENT_PLAYER_ERA_AT_LEAST',		1),
		('PLAYER_AT_INFO_ERA',				'REQUIREMENT_PLAYER_ERA_AT_LEAST',		0),
		('PLAYER_AT_FUTURE_ERA',			'REQUIREMENT_PLAYER_ERA_AT_LEAST',		0),
		('LGAI_REQ_UNIT_IN_ENEMY_TERRITORY',					'REQUIREMENT_UNIT_IN_ENEMY_TERRITORY',		0),
		('LGAI_PLAYER_HAS_CIVIC_DIPLO_ONE_REQUIREMENT',				'REQUIREMENT_PLAYER_HAS_CIVIC',		0),
		('LGAI_PLAYER_HAS_CIVIC_DIPLO_TWO_REQUIREMENT',			'REQUIREMENT_PLAYER_HAS_CIVIC',		0),
		('LGAI_PLAYER_HAS_TECH_ANIMAL_HUSBANDRY_REQUIREMENT',				'REQUIREMENT_PLAYER_HAS_TECHNOLOGY',		0),
		('LGAI_PLAYER_HAS_TECH_BRONZE_WORKING_REQUIREMENT',			'REQUIREMENT_PLAYER_HAS_TECHNOLOGY',		0),
		('LGAI_PLAYER_HAS_TECH_COMBINED_ARMS_REQUIREMENT',				'REQUIREMENT_PLAYER_HAS_TECHNOLOGY',		0),
		('LGAI_PLAYER_HAS_TECH_INDUSTRIALIZATION_REQUIREMENT',			'REQUIREMENT_PLAYER_HAS_TECHNOLOGY',		0),
		('LGAI_PLAYER_HAS_TECH_MILITARY_ENGINEERING_REQUIREMENT',				'REQUIREMENT_PLAYER_HAS_TECHNOLOGY',		0),
		('LGAI_PLAYER_HAS_TECH_RADIO_REQUIREMENT',			'REQUIREMENT_PLAYER_HAS_TECHNOLOGY',		0),
		('LGAI_PLAYER_HAS_TECH_REFINING_REQUIREMENT',				'REQUIREMENT_PLAYER_HAS_TECHNOLOGY',		0),
		('LGAI_PLAYER_HAS_TECH_NANOTECH_REQUIREMENT',				'REQUIREMENT_PLAYER_HAS_TECHNOLOGY',		0),
		('LGAI_PLAYER_HAS_TECH_SMART_MATERIALS_REQUIREMENT',			'REQUIREMENT_PLAYER_HAS_TECHNOLOGY',		0),
		('LGAI_PLAYER_HAS_TECH_SATELLITES_REQUIREMENT',				'REQUIREMENT_PLAYER_HAS_TECHNOLOGY',		0),
		('LGAI_PLAYER_HAS_TECH_OFFWORLD_MISSION_REQUIREMENT',			'REQUIREMENT_PLAYER_HAS_TECHNOLOGY',		0),
		('LGAI_PLAYER_HAS_NOT_CIVIC_DIPLO_TWO_REQUIREMENT',			'REQUIREMENT_PLAYER_HAS_CIVIC',		1);

INSERT INTO RequirementArguments 
		(RequirementId,					Name,		Value) 
VALUES	('REQUIRES_PRINCE',				'Handicap',	'DIFFICULTY_PRINCE'),
		('REQUIRES_KING',				'Handicap',	'DIFFICULTY_KING'),
		('REQUIRES_NOT_KING',				'Handicap',	'DIFFICULTY_KING'),
		('REQUIRES_EMPEROR',				'Handicap',	'DIFFICULTY_EMPEROR'),
		('REQUIRES_NOT_EMPEROR',				'Handicap',	'DIFFICULTY_EMPEROR'),
		('REQUIRES_IMMORTAL',				'Handicap',	'DIFFICULTY_IMMORTAL'),
		('REQUIRES_NOT_IMMORTAL',				'Handicap',	'DIFFICULTY_IMMORTAL'),
		('REQUIRES_DEITY',				'Handicap',	'DIFFICULTY_DEITY'),
		('REQUIRES_NOT_DEITY',				'Handicap',	'DIFFICULTY_DEITY'),
		('REQUIRES_PRO',				'Handicap',	'DIFFICULTY_DEITY_PLUS'),
		('REQUIRES_NOT_PRO',				'Handicap',	'DIFFICULTY_DEITY_PLUS'),
		('REQUIRES_INSANE',				'Handicap',	'DIFFICULTY_DEITY_PLUSPLUS'),
		('REQUIRES_NOT_INSANE',				'Handicap',	'DIFFICULTY_DEITY_PLUSPLUS'),
		('GAME_AT_CLASSICAL_ERA',			'EraType',	'ERA_CLASSICAL'),
		('GAME_NOT_AT_CLASSICAL_ERA',			'EraType',	'ERA_CLASSICAL'),
		('GAME_AT_MEDIEVAL_ERA',			'EraType',	'ERA_MEDIEVAL'),
		('GAME_NOT_AT_MEDIEVAL_ERA',			'EraType',	'ERA_MEDIEVAL'),
		('GAME_AT_RENAISSANCE_ERA',			'EraType',	'ERA_RENAISSANCE'),
		('GAME_NOT_AT_RENAISSANCE_ERA',			'EraType',	'ERA_RENAISSANCE'),
		('GAME_AT_INDUSTRIAL_ERA',			'EraType',	'ERA_INDUSTRIAL'),
		('GAME_NOT_AT_INDUSTRIAL_ERA',			'EraType',	'ERA_INDUSTRIAL'),
		('GAME_AT_MODERN_ERA',				'EraType',	'ERA_MODERN'),
		('GAME_NOT_AT_MODERN_ERA',			'EraType',	'ERA_MODERN'),
		('GAME_AT_ATOMIC_ERA',				'EraType',	'ERA_ATOMIC'),
		('GAME_AT_INFO_ERA',				'EraType',	'ERA_INFORMATION'),
		('GAME_AT_FUTURE_ERA',				'EraType',	'ERA_FUTURE'),
		('PLAYER_AT_CLASSICAL_ERA',			'EraType',	'ERA_CLASSICAL'),
		('PLAYER_NOT_AT_CLASSICAL_ERA',			'EraType',	'ERA_CLASSICAL'),
		('PLAYER_NOT_AT_MEDIEVAL_ERA',			'EraType',	'ERA_MEDIEVAL'),
		('PLAYER_AT_MEDIEVAL_ERA',			'EraType',	'ERA_MEDIEVAL'),
		('PLAYER_AT_RENAISSANCE_ERA',			'EraType',	'ERA_RENAISSANCE'),
		('PLAYER_AT_INDUSTRIAL_ERA',			'EraType',	'ERA_INDUSTRIAL'),
		('PLAYER_AT_MODERN_ERA',			'EraType',	'ERA_MODERN'),
		('PLAYER_AT_ATOMIC_ERA',			'EraType',	'ERA_ATOMIC'),
		('NOT_AT_INDUSTRIAL_ERA',			'EraType',	'ERA_INDUSTRIAL'),
		('PLAYER_AT_INFO_ERA',				'EraType',	'ERA_INFORMATION'),
		('PLAYER_AT_FUTURE_ERA',			'EraType',	'ERA_FUTURE'),
		('LGAI_PLAYER_HAS_CIVIC_DIPLO_ONE_REQUIREMENT',			'CivicType', 	'CIVIC_SCORCHED_EARTH'),
		('LGAI_PLAYER_HAS_CIVIC_DIPLO_TWO_REQUIREMENT',			'CivicType', 	'CIVIC_RAPID_DEPLOYMENT'),
		('LGAI_PLAYER_HAS_NOT_CIVIC_DIPLO_TWO_REQUIREMENT',			'CivicType', 	'CIVIC_RAPID_DEPLOYMENT'),
		('LGAI_PLAYER_HAS_TECH_ANIMAL_HUSBANDRY_REQUIREMENT',			'TechnologyType', 	'TECH_ANIMAL_HUSBANDRY'),
		('LGAI_PLAYER_HAS_TECH_BRONZE_WORKING_REQUIREMENT',			'TechnologyType', 	'TECH_BRONZE_WORKING'),
		('LGAI_PLAYER_HAS_TECH_COMBINED_ARMS_REQUIREMENT',			'TechnologyType', 	'TECH_COMBINED_ARMS'),
		('LGAI_PLAYER_HAS_TECH_INDUSTRIALIZATION_REQUIREMENT',			'TechnologyType', 	'TECH_INDUSTRIALIZATION'),
		('LGAI_PLAYER_HAS_TECH_MILITARY_ENGINEERING_REQUIREMENT',			'TechnologyType', 	'TECH_MILITARY_ENGINEERING'),
		('LGAI_PLAYER_HAS_TECH_RADIO_REQUIREMENT',			'TechnologyType', 	'TECH_RADIO'),
		('LGAI_PLAYER_HAS_TECH_REFINING_REQUIREMENT',			'TechnologyType', 	'TECH_REFINING'),
		('LGAI_PLAYER_HAS_TECH_NANOTECH_REQUIREMENT',			'TechnologyType', 	'TECH_NANOTECHNOLOGY'),
		('LGAI_PLAYER_HAS_TECH_SATELLITES_REQUIREMENT',			'TechnologyType', 	'TECH_SATELLITES'),
		('LGAI_PLAYER_HAS_TECH_SMART_MATERIALS_REQUIREMENT',			'TechnologyType', 	'TECH_SMART_MATERIALS'),
		('LGAI_PLAYER_HAS_TECH_OFFWORLD_MISSION_REQUIREMENT',			'TechnologyType', 	'TECH_OFFWORLD_MISSION');

--Requirement Sets
INSERT INTO RequirementSets 
		(RequirementSetId,			RequirementSetType) 
VALUES		('LGAI_REQSET_DIPLOVIS_ONE', 'REQUIREMENTSET_TEST_ALL'),
		('LGAI_REQSET_DIPLOVIS_TWO', 'REQUIREMENTSET_TEST_ALL'),
		('LGAI_PLAYER_HAS_TECH_ANIMAL_HUSBANDRY_REQUIREMENTSET', 'REQUIREMENTSET_TEST_ALL'),
		('LGAI_PLAYER_HAS_TECH_BRONZE_WORKING_REQUIREMENTSET', 'REQUIREMENTSET_TEST_ALL'),
		('LGAI_PLAYER_HAS_TECH_COMBINED_ARMS_REQUIREMENTSET', 'REQUIREMENTSET_TEST_ALL'),
		('LGAI_PLAYER_HAS_TECH_INDUSTRIALIZATION_REQUIREMENTSET', 'REQUIREMENTSET_TEST_ALL'),
		('LGAI_PLAYER_HAS_TECH_MILITARY_ENGINEERING_REQUIREMENTSET', 'REQUIREMENTSET_TEST_ALL'),
		('LGAI_PLAYER_HAS_TECH_RADIO_REQUIREMENTSET', 'REQUIREMENTSET_TEST_ALL'),
		('LGAI_PLAYER_HAS_TECH_REFINING_REQUIREMENTSET', 'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_ANCIENT_NOT_CLASSICAL', 'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_ANCIENT_TO_CLASSICAL', 'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_ANCIENT_TO_CLASSICAL_EMPEROR', 'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_ANCIENT_TO_CLASSICAL_DEITY', 'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_ANCIENT_TO_CLASSICAL_INSANE', 'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_ANCIENT_TO_CLASSICAL_ERA', 'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_ANCIENT_NOT_CLASSICAL_ERA', 'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_NOT_MEDIEVAL_ERA', 'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_NOT_RENAISSANCE_ERA', 'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_NOT_INDUSTRIAL_ERA', 'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_NOT_MODERN_ERA', 'REQUIREMENTSET_TEST_ALL'),
		('LGAI_REQSET_UNIT_IN_ENEMY_TERRITORY', 'REQUIREMENTSET_TEST_ALL'),
		('PRINCE_DIFFICULTY',			'REQUIREMENTSET_TEST_ALL'),
		('KING_DIFFICULTY',			'REQUIREMENTSET_TEST_ALL'),
		('EMPEROR_DIFFICULTY',		'REQUIREMENTSET_TEST_ALL'),
		('IMMORTAL_DIFFICULTY',		'REQUIREMENTSET_TEST_ALL'),
		('DEITY_DIFFICULTY',		'REQUIREMENTSET_TEST_ALL'),
		('PRO_DIFFICULTY',		'REQUIREMENTSET_TEST_ALL'),
		('INSANE_DIFFICULTY',		'REQUIREMENTSET_TEST_ALL'),
		('LGAI_AI_NANOTECH',	'REQUIREMENTSET_TEST_ALL'),
		('LGAI_AI_OFFWORLD',	'REQUIREMENTSET_TEST_ALL'),
		('LGAI_AI_SATELLITES',	'REQUIREMENTSET_TEST_ALL'),
		('LGAI_AI_OFFWORLD_INSANE',	'REQUIREMENTSET_TEST_ALL'),
		('LGAI_AI_SMART_MATERIALS',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_ERA',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_ERA',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_ERA',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_ATOMIC_ERA',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INFO_ERA',			'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_FUTURE_ERA',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_ERA_IMMORTAL',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_ERA_IMMORTAL',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_ERA_IMMORTAL',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA_IMMORTAL',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA_IMMORTAL',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_ATOMIC_ERA_IMMORTAL',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INFO_ERA_IMMORTAL',			'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_FUTURE_ERA_IMMORTAL',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_CLASSICAL',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MODERN',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_ATOMIC',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INFO',			'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_FUTURE',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_KING',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_ATOMIC_KING',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_DEITY',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_DEITY',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_DEITY',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_DEITY',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MODERN_DEITY',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_ATOMIC_DEITY',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INFO_DEITY',			'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_FUTURE_DEITY',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_ERA_DEITY',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_ERA_DEITY',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_ERA_DEITY',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA_DEITY',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA_DEITY',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_ATOMIC_ERA_DEITY',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INFO_ERA_DEITY',			'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_FUTURE_ERA_DEITY',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_FUTURE_IMMORTAL',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_PRO',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_PRO',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_PRO',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_PRO',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA_PRO',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA_PRO',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MODERN_PRO',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_ATOMIC_PRO',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INFO_PRO',			'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_FUTURE_PRO',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_INSANE',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_INSANE',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_INSANE',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_INSANE',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MODERN_INSANE',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_ATOMIC_INSANE',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INFO_INSANE',			'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_FUTURE_INSANE',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_ERA_INSANE',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_ERA_INSANE',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_ERA_INSANE',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA_INSANE',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA_INSANE',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_ATOMIC_ERA_INSANE',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INFO_ERA_INSANE',			'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_FUTURE_ERA_INSANE',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_KING',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_KING_ONLY',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_NOT_KING',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_EMPEROR',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_EMPEROR_ONLY',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_IMMORTAL',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_IMMORTAL_ONLY',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_DEITY',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_DEITY_ONLY',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_PRO',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_PRO_ONLY',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INSANE',		'REQUIREMENTSET_TEST_ALL');
		
INSERT INTO RequirementSetRequirements 
		(RequirementSetId,			RequirementId) 
VALUES		('LGAI_REQSET_DIPLOVIS_ONE', 'REQUIRES_PLAYER_IS_AI'),
		('LGAI_REQSET_DIPLOVIS_ONE', 'REQUIRES_HIGH_DIFFICULTY'),
		('LGAI_REQSET_DIPLOVIS_ONE', 'LGAI_PLAYER_HAS_CIVIC_DIPLO_ONE_REQUIREMENT'),
		('LGAI_REQSET_DIPLOVIS_ONE', 'REQUIRES_DEITY'),
		('LGAI_REQSET_DIPLOVIS_TWO', 'REQUIRES_PLAYER_IS_AI'),
		('LGAI_REQSET_DIPLOVIS_TWO', 'REQUIRES_HIGH_DIFFICULTY'),
		('LGAI_REQSET_DIPLOVIS_TWO', 'LGAI_PLAYER_HAS_CIVIC_DIPLO_TWO_REQUIREMENT'),
		('LGAI_REQSET_DIPLOVIS_TWO', 'REQUIRES_EMPEROR'),
		('LGAI_PLAYER_HAS_TECH_ANIMAL_HUSBANDRY_REQUIREMENTSET',	'LGAI_PLAYER_HAS_TECH_ANIMAL_HUSBANDRY_REQUIREMENT'),
		('LGAI_PLAYER_HAS_TECH_ANIMAL_HUSBANDRY_REQUIREMENTSET',	'REQUIRES_PLAYER_IS_AI'),
		('LGAI_PLAYER_HAS_TECH_ANIMAL_HUSBANDRY_REQUIREMENTSET',	'REQUIRES_HIGH_DIFFICULTY'),
		('LGAI_PLAYER_HAS_TECH_BRONZE_WORKING_REQUIREMENTSET',	'LGAI_PLAYER_HAS_TECH_BRONZE_WORKING_REQUIREMENT'),
		('LGAI_PLAYER_HAS_TECH_BRONZE_WORKING_REQUIREMENTSET',	'REQUIRES_PLAYER_IS_AI'),
		('LGAI_PLAYER_HAS_TECH_BRONZE_WORKING_REQUIREMENTSET',	'REQUIRES_HIGH_DIFFICULTY'),
		('LGAI_PLAYER_HAS_TECH_COMBINED_ARMS_REQUIREMENTSET',	'LGAI_PLAYER_HAS_TECH_COMBINED_ARMS_REQUIREMENT'),
		('LGAI_PLAYER_HAS_TECH_COMBINED_ARMS_REQUIREMENTSET',	'REQUIRES_PLAYER_IS_AI'),
		('LGAI_PLAYER_HAS_TECH_COMBINED_ARMS_REQUIREMENTSET',	'REQUIRES_HIGH_DIFFICULTY'),
		('LGAI_PLAYER_HAS_TECH_INDUSTRIALIZATION_REQUIREMENTSET',	'LGAI_PLAYER_HAS_TECH_INDUSTRIALIZATION_REQUIREMENT'),
		('LGAI_PLAYER_HAS_TECH_INDUSTRIALIZATION_REQUIREMENTSET',	'REQUIRES_PLAYER_IS_AI'),
		('LGAI_PLAYER_HAS_TECH_INDUSTRIALIZATION_REQUIREMENTSET',	'REQUIRES_HIGH_DIFFICULTY'),
		('LGAI_PLAYER_HAS_TECH_MILITARY_ENGINEERING_REQUIREMENTSET',	'LGAI_PLAYER_HAS_TECH_MILITARY_ENGINEERING_REQUIREMENT'),
		('LGAI_PLAYER_HAS_TECH_MILITARY_ENGINEERING_REQUIREMENTSET',	'REQUIRES_PLAYER_IS_AI'),
		('LGAI_PLAYER_HAS_TECH_MILITARY_ENGINEERING_REQUIREMENTSET',	'REQUIRES_HIGH_DIFFICULTY'),
		('LGAI_PLAYER_HAS_TECH_RADIO_REQUIREMENTSET',	'LGAI_PLAYER_HAS_TECH_RADIO_REQUIREMENT'),
		('LGAI_PLAYER_HAS_TECH_RADIO_REQUIREMENTSET',	'REQUIRES_PLAYER_IS_AI'),
		('LGAI_PLAYER_HAS_TECH_RADIO_REQUIREMENTSET',	'REQUIRES_HIGH_DIFFICULTY'),
		('LGAI_PLAYER_HAS_TECH_REFINING_REQUIREMENTSET',	'LGAI_PLAYER_HAS_TECH_REFINING_REQUIREMENT'),
		('LGAI_PLAYER_HAS_TECH_REFINING_REQUIREMENTSET',	'REQUIRES_PLAYER_IS_AI'),
		('LGAI_PLAYER_HAS_TECH_REFINING_REQUIREMENTSET',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_ANCIENT_NOT_CLASSICAL', 'PLAYER_NOT_AT_CLASSICAL_ERA'),
		('HIGH_DIFFICULTY_AI_ANCIENT_NOT_CLASSICAL', 'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_ANCIENT_NOT_CLASSICAL',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_ANCIENT_TO_CLASSICAL', 'PLAYER_NOT_AT_MEDIEVAL_ERA'),
		('HIGH_DIFFICULTY_AI_ANCIENT_TO_CLASSICAL', 'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_ANCIENT_TO_CLASSICAL',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_ANCIENT_TO_CLASSICAL_EMPEROR', 'PLAYER_NOT_AT_MEDIEVAL_ERA'),
		('HIGH_DIFFICULTY_AI_ANCIENT_TO_CLASSICAL_EMPEROR', 'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_ANCIENT_TO_CLASSICAL_EMPEROR',	'REQUIRES_EMPEROR'),
		('HIGH_DIFFICULTY_AI_ANCIENT_TO_CLASSICAL_DEITY', 'PLAYER_NOT_AT_MEDIEVAL_ERA'),
		('HIGH_DIFFICULTY_AI_ANCIENT_TO_CLASSICAL_DEITY', 'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_ANCIENT_TO_CLASSICAL_DEITY',	'REQUIRES_DEITY'),
		('HIGH_DIFFICULTY_AI_ANCIENT_TO_CLASSICAL_INSANE', 'PLAYER_NOT_AT_MEDIEVAL_ERA'),
		('HIGH_DIFFICULTY_AI_ANCIENT_TO_CLASSICAL_INSANE', 'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_ANCIENT_TO_CLASSICAL_INSANE',	'REQUIRES_INSANE'),
		('HIGH_DIFFICULTY_AI_ANCIENT_TO_CLASSICAL_ERA', 'GAME_NOT_AT_MEDIEVAL_ERA'),
		('HIGH_DIFFICULTY_AI_ANCIENT_TO_CLASSICAL_ERA', 'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_ANCIENT_TO_CLASSICAL_ERA',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_ANCIENT_NOT_CLASSICAL_ERA', 'GAME_NOT_AT_CLASSICAL_ERA'),
		('HIGH_DIFFICULTY_AI_ANCIENT_NOT_CLASSICAL_ERA', 'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_ANCIENT_NOT_CLASSICAL_ERA',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_NOT_MEDIEVAL_ERA', 'GAME_AT_CLASSICAL_ERA'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_NOT_MEDIEVAL_ERA', 'GAME_NOT_AT_MEDIEVAL_ERA'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_NOT_MEDIEVAL_ERA', 'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_NOT_MEDIEVAL_ERA',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_NOT_RENAISSANCE_ERA', 'GAME_AT_MEDIEVAL_ERA'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_NOT_RENAISSANCE_ERA', 'GAME_NOT_AT_RENAISSANCE_ERA'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_NOT_RENAISSANCE_ERA', 'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_NOT_RENAISSANCE_ERA',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_NOT_INDUSTRIAL_ERA', 'GAME_AT_RENAISSANCE_ERA'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_NOT_INDUSTRIAL_ERA', 'GAME_NOT_AT_INDUSTRIAL_ERA'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_NOT_INDUSTRIAL_ERA', 'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_NOT_INDUSTRIAL_ERA',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_NOT_MODERN_ERA', 'GAME_AT_INDUSTRIAL_ERA'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_NOT_MODERN_ERA', 'GAME_NOT_AT_MODERN_ERA'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_NOT_MODERN_ERA', 'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_NOT_MODERN_ERA',	'REQUIRES_HIGH_DIFFICULTY'),
		('LGAI_REQSET_UNIT_IN_ENEMY_TERRITORY', 'LGAI_REQ_UNIT_IN_ENEMY_TERRITORY'),
		('PRINCE_DIFFICULTY',			'REQUIRES_PRINCE'),
		('PRINCE_DIFFICULTY',			'REQUIRES_PLAYER_IS_AI'),
		('KING_DIFFICULTY',			'REQUIRES_KING'),
		('KING_DIFFICULTY',			'REQUIRES_PLAYER_IS_AI'),
		('EMPEROR_DIFFICULTY',		'REQUIRES_EMPEROR'),
		('EMPEROR_DIFFICULTY',		'REQUIRES_PLAYER_IS_AI'),
		('IMMORTAL_DIFFICULTY',		'REQUIRES_IMMORTAL'),
		('IMMORTAL_DIFFICULTY',		'REQUIRES_PLAYER_IS_AI'),
		('DEITY_DIFFICULTY',		'REQUIRES_DEITY'),
		('DEITY_DIFFICULTY',		'REQUIRES_PLAYER_IS_AI'),
		('PRO_DIFFICULTY',		'REQUIRES_PRO'),
		('PRO_DIFFICULTY',		'REQUIRES_PLAYER_IS_AI'),
		('INSANE_DIFFICULTY',		'REQUIRES_INSANE'),
		('INSANE_DIFFICULTY',		'REQUIRES_PLAYER_IS_AI'),
		('LGAI_AI_NANOTECH',	'LGAI_PLAYER_HAS_TECH_NANOTECH_REQUIREMENT'),
		('LGAI_AI_NANOTECH',	'REQUIRES_PLAYER_IS_AI'),
		('LGAI_AI_NANOTECH',	'REQUIRES_HIGH_DIFFICULTY'),
		('LGAI_AI_OFFWORLD',	'LGAI_PLAYER_HAS_TECH_OFFWORLD_MISSION_REQUIREMENT'),
		('LGAI_AI_OFFWORLD',	'REQUIRES_PLAYER_IS_AI'),
		('LGAI_AI_OFFWORLD',	'REQUIRES_HIGH_DIFFICULTY'),
		('LGAI_AI_SATELLITES',	'LGAI_PLAYER_HAS_TECH_SATELLITES_REQUIREMENT'),
		('LGAI_AI_SATELLITES',	'REQUIRES_PLAYER_IS_AI'),
		('LGAI_AI_SATELLITES',	'REQUIRES_HIGH_DIFFICULTY'),
		('LGAI_AI_OFFWORLD_INSANE',	'LGAI_PLAYER_HAS_TECH_OFFWORLD_MISSION_REQUIREMENT'),
		('LGAI_AI_OFFWORLD_INSANE',	'REQUIRES_PLAYER_IS_AI'),
		('LGAI_AI_OFFWORLD_INSANE',	'REQUIRES_HIGH_DIFFICULTY'),
		('LGAI_AI_OFFWORLD_INSANE',	'REQUIRES_INSANE'),
		('LGAI_AI_OFFWORLD_INSANE',	'GAME_AT_INDUSTRIAL_ERA'),
		('LGAI_AI_SMART_MATERIALS',	'LGAI_PLAYER_HAS_TECH_SMART_MATERIALS_REQUIREMENT'),
		('LGAI_AI_SMART_MATERIALS',	'REQUIRES_PLAYER_IS_AI'),
		('LGAI_AI_SMART_MATERIALS',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_ERA',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_ERA',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_ERA',	'GAME_AT_CLASSICAL_ERA'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_ERA',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_ERA',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_ERA',		'GAME_AT_MEDIEVAL_ERA'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_ERA',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_ERA',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_ERA',	'GAME_AT_RENAISSANCE_ERA'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA',	'GAME_AT_INDUSTRIAL_ERA'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA',		'GAME_AT_MODERN_ERA'),
		('HIGH_DIFFICULTY_AI_ATOMIC_ERA',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_ATOMIC_ERA',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_ATOMIC_ERA',		'GAME_AT_ATOMIC_ERA'),
		('HIGH_DIFFICULTY_AI_INFO_ERA',			'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INFO_ERA',			'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INFO_ERA',			'GAME_AT_INFO_ERA'),
		('HIGH_DIFFICULTY_AI_FUTURE_ERA',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_FUTURE_ERA',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_FUTURE_ERA',		'GAME_AT_FUTURE_ERA'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_ERA_IMMORTAL',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_ERA_IMMORTAL',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_ERA_IMMORTAL',	'GAME_AT_CLASSICAL_ERA'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_ERA_IMMORTAL',	'REQUIRES_IMMORTAL'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_ERA_IMMORTAL',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_ERA_IMMORTAL',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_ERA_IMMORTAL',		'GAME_AT_MEDIEVAL_ERA'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_ERA_IMMORTAL',		'REQUIRES_IMMORTAL'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_ERA_IMMORTAL',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_ERA_IMMORTAL',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_ERA_IMMORTAL',	'GAME_AT_RENAISSANCE_ERA'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_ERA_IMMORTAL',	'REQUIRES_IMMORTAL'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA_IMMORTAL',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA_IMMORTAL',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA_IMMORTAL',	'GAME_AT_INDUSTRIAL_ERA'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA_IMMORTAL',	'REQUIRES_IMMORTAL'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA_IMMORTAL',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA_IMMORTAL',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA_IMMORTAL',		'GAME_AT_MODERN_ERA'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA_IMMORTAL',		'REQUIRES_IMMORTAL'),
		('HIGH_DIFFICULTY_AI_ATOMIC_ERA_IMMORTAL',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_ATOMIC_ERA_IMMORTAL',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_ATOMIC_ERA_IMMORTAL',		'GAME_AT_ATOMIC_ERA'),
		('HIGH_DIFFICULTY_AI_ATOMIC_ERA_IMMORTAL',		'REQUIRES_IMMORTAL'),
		('HIGH_DIFFICULTY_AI_INFO_ERA_IMMORTAL',			'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INFO_ERA_IMMORTAL',			'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INFO_ERA_IMMORTAL',			'GAME_AT_INFO_ERA'),
		('HIGH_DIFFICULTY_AI_INFO_ERA_IMMORTAL',			'REQUIRES_IMMORTAL'),
		('HIGH_DIFFICULTY_AI_FUTURE_ERA_IMMORTAL',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_FUTURE_ERA_IMMORTAL',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_FUTURE_ERA_IMMORTAL',		'GAME_AT_FUTURE_ERA'),
		('HIGH_DIFFICULTY_AI_FUTURE_ERA_IMMORTAL',		'REQUIRES_IMMORTAL'),
		('HIGH_DIFFICULTY_AI_CLASSICAL',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_CLASSICAL',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_CLASSICAL',	'PLAYER_AT_CLASSICAL_ERA'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL',		'PLAYER_AT_MEDIEVAL_ERA'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE',	'PLAYER_AT_RENAISSANCE_ERA'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL',	'PLAYER_AT_INDUSTRIAL_ERA'),
		('HIGH_DIFFICULTY_AI_MODERN',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MODERN',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MODERN',		'PLAYER_AT_MODERN_ERA'),
		('HIGH_DIFFICULTY_AI_ATOMIC',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_ATOMIC',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_ATOMIC',		'PLAYER_AT_ATOMIC_ERA'),
		('HIGH_DIFFICULTY_AI_INFO',			'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INFO',			'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INFO',			'PLAYER_AT_INFO_ERA'),
		('HIGH_DIFFICULTY_AI_FUTURE',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_FUTURE',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_FUTURE',		'PLAYER_AT_FUTURE_ERA'),
		('HIGH_DIFFICULTY_AI_FUTURE_IMMORTAL',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_FUTURE_IMMORTAL',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_FUTURE_IMMORTAL',		'PLAYER_AT_FUTURE_ERA'),
		('HIGH_DIFFICULTY_AI_FUTURE_IMMORTAL',		'REQUIRES_IMMORTAL'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_KING',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_KING',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_KING',	'PLAYER_AT_RENAISSANCE_ERA'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_KING',	'REQUIRES_KING'),
		('HIGH_DIFFICULTY_AI_ATOMIC_KING',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_ATOMIC_KING',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_ATOMIC_KING',		'PLAYER_AT_ATOMIC_ERA'),
		('HIGH_DIFFICULTY_AI_ATOMIC_KING',		'REQUIRES_KING'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_DEITY',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_DEITY',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_DEITY',	'PLAYER_AT_CLASSICAL_ERA'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_DEITY',	'REQUIRES_DEITY'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_ERA_DEITY',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_ERA_DEITY',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_ERA_DEITY',	'GAME_AT_CLASSICAL_ERA'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_ERA_DEITY',	'REQUIRES_DEITY'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_DEITY',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_DEITY',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_DEITY',		'PLAYER_AT_MEDIEVAL_ERA'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_DEITY',		'REQUIRES_DEITY'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_ERA_DEITY',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_ERA_DEITY',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_ERA_DEITY',		'GAME_AT_MEDIEVAL_ERA'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_ERA_DEITY',		'REQUIRES_DEITY'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_DEITY',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_DEITY',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_DEITY',	'PLAYER_AT_RENAISSANCE_ERA'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_DEITY',	'REQUIRES_DEITY'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_ERA_DEITY',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_ERA_DEITY',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_ERA_DEITY',	'GAME_AT_RENAISSANCE_ERA'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_ERA_DEITY',	'REQUIRES_DEITY'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_DEITY',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_DEITY',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_DEITY',	'PLAYER_AT_INDUSTRIAL_ERA'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_DEITY',	'REQUIRES_DEITY'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA_DEITY',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA_DEITY',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA_DEITY',	'GAME_AT_INDUSTRIAL_ERA'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA_DEITY',	'REQUIRES_DEITY'),
		('HIGH_DIFFICULTY_AI_MODERN_DEITY',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MODERN_DEITY',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MODERN_DEITY',		'PLAYER_AT_MODERN_ERA'),
		('HIGH_DIFFICULTY_AI_MODERN_DEITY',		'REQUIRES_DEITY'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA_DEITY',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA_DEITY',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA_DEITY',		'GAME_AT_MODERN_ERA'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA_DEITY',		'REQUIRES_DEITY'),
		('HIGH_DIFFICULTY_AI_ATOMIC_DEITY',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_ATOMIC_DEITY',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_ATOMIC_DEITY',		'PLAYER_AT_ATOMIC_ERA'),
		('HIGH_DIFFICULTY_AI_ATOMIC_DEITY',		'REQUIRES_DEITY'),
		('HIGH_DIFFICULTY_AI_ATOMIC_ERA_DEITY',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_ATOMIC_ERA_DEITY',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_ATOMIC_ERA_DEITY',		'GAME_AT_ATOMIC_ERA'),
		('HIGH_DIFFICULTY_AI_ATOMIC_ERA_DEITY',		'REQUIRES_DEITY'),
		('HIGH_DIFFICULTY_AI_INFO_DEITY',			'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INFO_DEITY',			'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INFO_DEITY',			'PLAYER_AT_INFO_ERA'),
		('HIGH_DIFFICULTY_AI_INFO_DEITY',			'REQUIRES_DEITY'),
		('HIGH_DIFFICULTY_AI_INFO_ERA_DEITY',			'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INFO_ERA_DEITY',			'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INFO_ERA_DEITY',			'GAME_AT_INFO_ERA'),
		('HIGH_DIFFICULTY_AI_INFO_ERA_DEITY',			'REQUIRES_DEITY'),
		('HIGH_DIFFICULTY_AI_FUTURE_DEITY',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_FUTURE_DEITY',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_FUTURE_DEITY',		'PLAYER_AT_FUTURE_ERA'),
		('HIGH_DIFFICULTY_AI_FUTURE_DEITY',		'REQUIRES_DEITY'),
		('HIGH_DIFFICULTY_AI_FUTURE_ERA_DEITY',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_FUTURE_ERA_DEITY',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_FUTURE_ERA_DEITY',		'GAME_AT_FUTURE_ERA'),
		('HIGH_DIFFICULTY_AI_FUTURE_ERA_DEITY',		'REQUIRES_DEITY'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_PRO',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_PRO',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_PRO',	'PLAYER_AT_CLASSICAL_ERA'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_PRO',	'REQUIRES_PRO'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_PRO',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_PRO',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_PRO',		'PLAYER_AT_MEDIEVAL_ERA'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_PRO',		'REQUIRES_PRO'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_PRO',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_PRO',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_PRO',	'PLAYER_AT_RENAISSANCE_ERA'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_PRO',	'REQUIRES_PRO'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_PRO',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_PRO',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_PRO',	'PLAYER_AT_INDUSTRIAL_ERA'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_PRO',	'REQUIRES_PRO'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA_PRO',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA_PRO',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA_PRO',	'GAME_AT_INDUSTRIAL_ERA'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA_PRO',	'REQUIRES_PRO'),
		('HIGH_DIFFICULTY_AI_MODERN_PRO',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MODERN_PRO',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MODERN_PRO',		'PLAYER_AT_MODERN_ERA'),
		('HIGH_DIFFICULTY_AI_MODERN_PRO',		'REQUIRES_PRO'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA_PRO',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA_PRO',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA_PRO',		'GAME_AT_MODERN_ERA'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA_PRO',		'REQUIRES_PRO'),
		('HIGH_DIFFICULTY_AI_ATOMIC_PRO',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_ATOMIC_PRO',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_ATOMIC_PRO',		'PLAYER_AT_ATOMIC_ERA'),
		('HIGH_DIFFICULTY_AI_ATOMIC_PRO',		'REQUIRES_PRO'),
		('HIGH_DIFFICULTY_AI_INFO_PRO',			'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INFO_PRO',			'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INFO_PRO',			'PLAYER_AT_INFO_ERA'),
		('HIGH_DIFFICULTY_AI_INFO_PRO',			'REQUIRES_PRO'),
		('HIGH_DIFFICULTY_AI_FUTURE_PRO',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_FUTURE_PRO',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_FUTURE_PRO',		'PLAYER_AT_FUTURE_ERA'),
		('HIGH_DIFFICULTY_AI_FUTURE_PRO',		'REQUIRES_PRO'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_INSANE',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_INSANE',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_INSANE',		'PLAYER_AT_CLASSICAL_ERA'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_INSANE',		'REQUIRES_INSANE'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_INSANE',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_INSANE',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_INSANE',		'PLAYER_AT_MEDIEVAL_ERA'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_INSANE',		'REQUIRES_INSANE'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_INSANE',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_INSANE',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_INSANE',	'PLAYER_AT_RENAISSANCE_ERA'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_INSANE',	'REQUIRES_INSANE'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_INSANE',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_INSANE',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_INSANE',	'PLAYER_AT_INDUSTRIAL_ERA'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_INSANE',	'REQUIRES_INSANE'),
		('HIGH_DIFFICULTY_AI_MODERN_INSANE',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MODERN_INSANE',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MODERN_INSANE',		'PLAYER_AT_MODERN_ERA'),
		('HIGH_DIFFICULTY_AI_MODERN_INSANE',		'REQUIRES_INSANE'),
		('HIGH_DIFFICULTY_AI_ATOMIC_INSANE',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_ATOMIC_INSANE',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_ATOMIC_INSANE',		'PLAYER_AT_ATOMIC_ERA'),
		('HIGH_DIFFICULTY_AI_ATOMIC_INSANE',		'REQUIRES_INSANE'),
		('HIGH_DIFFICULTY_AI_INFO_INSANE',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INFO_INSANE',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INFO_INSANE',		'PLAYER_AT_INFO_ERA'),
		('HIGH_DIFFICULTY_AI_INFO_INSANE',		'REQUIRES_INSANE'),
		('HIGH_DIFFICULTY_AI_FUTURE_INSANE',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_FUTURE_INSANE',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_FUTURE_INSANE',		'PLAYER_AT_FUTURE_ERA'),
		('HIGH_DIFFICULTY_AI_FUTURE_INSANE',		'REQUIRES_INSANE'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_ERA_INSANE',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_ERA_INSANE',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_ERA_INSANE',	'GAME_AT_CLASSICAL_ERA'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_ERA_INSANE',	'REQUIRES_INSANE'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_ERA_INSANE',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_ERA_INSANE',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_ERA_INSANE',	'GAME_AT_MEDIEVAL_ERA'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_ERA_INSANE',	'REQUIRES_INSANE'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_ERA_INSANE',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_ERA_INSANE',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_ERA_INSANE',	'GAME_AT_RENAISSANCE_ERA'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_ERA_INSANE',	'REQUIRES_INSANE'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA_INSANE',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA_INSANE',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA_INSANE',	'GAME_AT_INDUSTRIAL_ERA'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA_INSANE',	'REQUIRES_INSANE'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA_INSANE',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA_INSANE',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA_INSANE',		'GAME_AT_MODERN_ERA'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA_INSANE',		'REQUIRES_INSANE'),
		('HIGH_DIFFICULTY_AI_ATOMIC_ERA_INSANE',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_ATOMIC_ERA_INSANE',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_ATOMIC_ERA_INSANE',		'GAME_AT_ATOMIC_ERA'),
		('HIGH_DIFFICULTY_AI_ATOMIC_ERA_INSANE',		'REQUIRES_INSANE'),
		('HIGH_DIFFICULTY_AI_INFO_ERA_INSANE',			'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INFO_ERA_INSANE',			'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INFO_ERA_INSANE',			'GAME_AT_INFO_ERA'),
		('HIGH_DIFFICULTY_AI_INFO_ERA_INSANE',			'REQUIRES_INSANE'),
		('HIGH_DIFFICULTY_AI_FUTURE_ERA_INSANE',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_FUTURE_ERA_INSANE',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_FUTURE_ERA_INSANE',		'GAME_AT_FUTURE_ERA'),
		('HIGH_DIFFICULTY_AI_FUTURE_ERA_INSANE',		'REQUIRES_INSANE'),
		('HIGH_DIFFICULTY_AI_KING',		'REQUIRES_KING'),
		('HIGH_DIFFICULTY_AI_KING',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_KING_ONLY',		'REQUIRES_KING'),
		('HIGH_DIFFICULTY_AI_KING_ONLY',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_KING_ONLY',	'REQUIRES_NOT_EMPEROR'),
		('HIGH_DIFFICULTY_AI_NOT_KING',		'REQUIRES_NOT_KING'),
		('HIGH_DIFFICULTY_AI_NOT_KING',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_EMPEROR',		'REQUIRES_EMPEROR'),
		('HIGH_DIFFICULTY_AI_EMPEROR',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_EMPEROR_ONLY',		'REQUIRES_EMPEROR'),
		('HIGH_DIFFICULTY_AI_EMPEROR_ONLY',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_EMPEROR_ONLY',	'REQUIRES_NOT_IMMORTAL'),
		('HIGH_DIFFICULTY_AI_IMMORTAL',		'REQUIRES_IMMORTAL'),
		('HIGH_DIFFICULTY_AI_IMMORTAL',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_IMMORTAL_ONLY',		'REQUIRES_IMMORTAL'),
		('HIGH_DIFFICULTY_AI_IMMORTAL_ONLY',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_IMMORTAL_ONLY',	'REQUIRES_NOT_DEITY'),
		('HIGH_DIFFICULTY_AI_DEITY',		'REQUIRES_DEITY'),
		('HIGH_DIFFICULTY_AI_DEITY',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_DEITY_ONLY',		'REQUIRES_DEITY'),
		('HIGH_DIFFICULTY_AI_DEITY_ONLY',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_DEITY_ONLY',	'REQUIRES_NOT_PRO'),
		('HIGH_DIFFICULTY_AI_PRO',		'REQUIRES_PRO'),
		('HIGH_DIFFICULTY_AI_PRO',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_PRO_ONLY',		'REQUIRES_PRO'),
		('HIGH_DIFFICULTY_AI_PRO_ONLY',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_PRO_ONLY',	'REQUIRES_NOT_INSANE'),
		('HIGH_DIFFICULTY_AI_INSANE',		'REQUIRES_INSANE'),
		('HIGH_DIFFICULTY_AI_INSANE',	'REQUIRES_PLAYER_IS_AI');

--requirements and requirementsets for all the civics
INSERT INTO RequirementSets(RequirementSetId, RequirementSetType)
    SELECT 'LGAI_PLAYER_HAS_' || CivicType, 'REQUIREMENTSET_TEST_ALL' FROM Civics;
INSERT INTO Requirements(RequirementId, RequirementType)
    SELECT 'LGAI_PLAYER_HAS_' || CivicType || '_REQUIREMENT', 'REQUIREMENT_PLAYER_HAS_CIVIC' FROM Civics;
INSERT INTO RequirementArguments(RequirementId, Name, Value)
    SELECT 'LGAI_PLAYER_HAS_' || CivicType || '_REQUIREMENT', 'CivicType', CivicType FROM Civics;
INSERT INTO RequirementSetRequirements(RequirementSetId, RequirementId)
    SELECT 'LGAI_PLAYER_HAS_' || CivicType, 'LGAI_PLAYER_HAS_' || CivicType || '_REQUIREMENT' FROM Civics;
INSERT INTO RequirementSetRequirements(RequirementSetId, RequirementId)
    SELECT 'LGAI_PLAYER_HAS_' || CivicType, 'REQUIRES_PLAYER_IS_AI' FROM Civics;
INSERT INTO RequirementSetRequirements(RequirementSetId, RequirementId)
    SELECT 'LGAI_PLAYER_HAS_' || CivicType, 'REQUIRES_HIGH_DIFFICULTY' FROM Civics;